MyGUI: MyGUI::DDItemInfo Struct Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
MyGUI::DDItemInfo Struct Reference

`#include <MyGUI_DDItemInfo.h>`

## Public Member Functions
| DDItemInfo ()
| DDItemInfo (DDContainer *_sender, size_t _sender_index, DDContainer *_receiver, size_t _receiver_index)
void | set (DDContainer *_sender, size_t _sender_index, DDContainer *_receiver, size_t _receiver_index)
void | reset ()

## Data Fields
DDContainer * | sender
size_t | sender_index
DDContainer * | receiver
size_t | receiver_index

## Detailed Description

Inormation about drag'n'drop indexes

Definition at line 54 of file MyGUI_DDItemInfo.h.

## Constructor & Destructor Documentation

## ◆ DDItemInfo() [1/2]

MyGUI::DDItemInfo::DDItemInfo | ( |  | ) |
| inline

Definition at line 56 of file MyGUI_DDItemInfo.h.

## ◆ DDItemInfo() [2/2]

MyGUI::DDItemInfo::DDItemInfo | ( | DDContainer * | _sender,
|  | size_t | _sender_index,
|  | DDContainer * | _receiver,
|  | size_t | _receiver_index )
| inline

Definition at line 64 of file MyGUI_DDItemInfo.h.

## Member Function Documentation

## ◆ reset()

void MyGUI::DDItemInfo::reset | ( |  | ) |
| inline

Definition at line 80 of file MyGUI_DDItemInfo.h.

## ◆ set()

void MyGUI::DDItemInfo::set | ( | DDContainer * | _sender,
|  | size_t | _sender_index,
|  | DDContainer * | _receiver,
|  | size_t | _receiver_index )
| inline

Definition at line 72 of file MyGUI_DDItemInfo.h.

## Field Documentation

## ◆ receiver

DDContainer* MyGUI::DDItemInfo::receiver

DDContainer that receive dragged widget (container to which we want to drop)

Definition at line 94 of file MyGUI_DDItemInfo.h.

## ◆ receiver_index

size_t MyGUI::DDItemInfo::receiver_index

Index of receiver container

Definition at line 96 of file MyGUI_DDItemInfo.h.

## ◆ sender

DDContainer* MyGUI::DDItemInfo::sender

DDContainer that send this event (container from which we started drag)

Definition at line 89 of file MyGUI_DDItemInfo.h.

## ◆ sender_index

size_t MyGUI::DDItemInfo::sender_index

Index of sender container

Definition at line 91 of file MyGUI_DDItemInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_DDItemInfo.h